new;
library skew,pgraph;

rndseed 123;

y = 3 + 2*rndn(1000,1);

model = 1;
{mu_n,sigma_n,alpha_n,nu_n} = ml_skew(y,0,model);
model = 2;
{mu_t,sigma_t,alpha_t,nu_t} = ml_skew(y,0,model);

__fmtnv  = { "*.*lg " 12 3 };
call printfmt((mu_n|sigma_n|alpha_n|nu_n)~(mu_t|sigma_t|alpha_t|nu_t),1);

x = seqa(-5,15/100,101);
y0 = pdfn((x-3)/2)/2;
y1 = pdfSN(x,mu_n,sigma_n,alpha_n); 
y2 = pdfST(x,mu_t,sigma_t,alpha_t,nu_t);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _plwidth = 10;
  xtics(-5,10,2.5,2);
  _plegstr = "True PDF\000Estimated SN\000Estimated ST";
  _plegctl = {2 5 6.5 4.5};
  graphprt("-c=1 -cf=ml1.eps");
  xy(x,y0~y1~y2);

