new;
library skew,pgraph;

rndseed 123456;

mu = 1; sigma = 2; alpha = -1; nu = 3.2;
y = rndST(1000,1,mu,sigma,alpha,nu);

model = 1;
{mu_n,sigma_n,alpha_n,nu_n} = ml_skew(y,0,model);
model = 2;
{mu_t,sigma_t,alpha_t,nu_t} = ml_skew(y,0,model);

__fmtnv  = { "*.*lg " 12 3 };
call printfmt((mu_n|sigma_n|alpha_n|nu_n)~(mu_t|sigma_t|alpha_t|nu_t),1);

x = seqa(-10,20/100,101);
y0 = pdfST(x,mu,sigma,alpha,nu);
y1 = pdfSN(x,mu_n,sigma_n,alpha_n); 
y2 = pdfST(x,mu_t,sigma_t,alpha_t,nu_t);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _plwidth = 10;
  xtics(-10,10,2.5,2);
  _plegstr = "True PDF\000Estimated SN\000Estimated ST";
  _plegctl = {2 5 6.5 4.5};
  graphprt("-c=1 -cf=ml3.eps");
  xy(x,y0~y1~y2);

