new;
library skew,pgraph;

x = seqa(-10,20/100,101);

fn pdft_nc(x,mu,sigma,nu) = pdft((x-mu)/sigma,nu)/sigma;

mu = 0; sigma = 1; nu = 3; alpha = 0;
y1 = pdfST(x,mu,sigma,alpha,nu)~pdfMST(x,mu,sigma^2,alpha,nu)~pdft_nc(x,mu,sigma,nu); 

mu = -2,; sigma = 2; nu = 5000; alpha = 5;
y2 = pdfST(x,mu,sigma,alpha,nu)~pdfSN(x,mu,sigma,alpha)~pdft_nc(x,mu,sigma,nu);  

mu = -2,; sigma = 2; nu = 2; alpha = 5;
y3 = pdfST(x,mu,sigma,alpha,nu)~pdfSN(x,mu,sigma,alpha)~pdft_nc(x,mu,sigma,nu);  

mu = -2,; sigma = 2; nu = 4; alpha = -10;
y4 = pdfST(x,mu,sigma,alpha,nu)~pdfMST(x,mu,sigma^2,alpha,nu)~pdft_nc(x,mu,sigma,nu);  


graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pframe = 0; _pnum = 2;
  _pltype = 6|1|3; _plwidth = 10;
  _paxht = 0.20; _pnumht = 0.20; _ptitlht = 0.25;
  xtics(-10,10,2,2);
  ytics(0,0.4,0.1,2);

  _plegctl = {2 5 6 4}; 

  setwind(1);
    title("\216\202m\201=0 / \202s\201=1 / \202n\201=3 / \202a\201=0");
    _plegstr = "ST\000MST\000T";
    xy(x,y1);

  setwind(2);
    title("\216\202m\201=-2 / \202s\201=2 / \202n\201=5000 / \202a\201=5");
    _plegstr = "ST\000SN\000T";
    xy(x,y2);

  setwind(3);
    title("\216\202m\201=-2 / \202s\201=2 / \202n\201=2 / \202a\201=5");
    _plegstr = "ST\000SN\000T";
    xy(x,y3);

  setwind(4);
    title("\216\202m\201=-2 / \202s\201=2 / \202n\201=4 / \202a\201=-10");
    _plegstr = "ST\000MST\000T";
    xy(x,y4);

    graphprt("-c=1 -cf=st1.eps");

  endwind;
